using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class search : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void ImageButton3_Click(object sender, ImageClickEventArgs e)
    {
        if (this.bkName.Text.Length != 0)
        {
            string OleDbcmd = "select * from book_info where book_name like '%" + this.bkName.Text + "%'";
            DataSet ds = DB.getdata(OleDbcmd);
            int i= ds.Tables[0].Rows.Count;
            this.fvOrder.DataSource = ds.Tables[0].DefaultView;
            this.fvOrder.DataBind();
        }
    }
}
